Subject: Re: -lfreetype missing from /usr/lib/pkgconfig/pangoft2.pc
From: "Gerrit P. Haase" <[email-masked]>
To: "Dr. Volker Zell" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Sat, 08 Jan 2005 22:00:13 +0100

Dr. Volker Zell wrote:
> 03:23 PM [720]> pkg-config.exe --libs "pangoft2"
> -Wl,--export-dynamic -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv  
> 
> 
> It seems that -lfreetype is missing from /usr/lib/pkgconfig/pangoft2.pc

Yes.  I'll update the package when I found the bug.

> By the way there is a bogus include directive -I/opt/cxclient/usr/X11R6/include in Cflags from /usr/lib/pkgconfig/pangoxft.pc
> 
> Cflags: -I${includedir}/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/opt/cxclient/usr/X11R6/include

This is from some X11 package, IIRC xft.pc itself, I already
removed this define in my local .pc files, ask AGO, please.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/